blob: 30fb3958620b980d1b38ae88a27b764967ec5096 [file] [log] [blame]
Pamela Dragoshf1f7c512017-08-03 13:31:15 +00001#!/bin/bash
2#
3# Copyright 2017 AT&T Intellectual Property. All rights reserved.
4#
5# Licensed under the Apache License, Version 2.0 (the "License");
6# you may not use this file except in compliance with the License.
7# You may obtain a copy of the License at
8#
9# http://www.apache.org/licenses/LICENSE-2.0
10#
11# Unless required by applicable law or agreed to in writing, software
12# distributed under the License is distributed on an "AS IS" BASIS,
13# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14# See the License for the specific language governing permissions and
15# limitations under the License.
16#
17echo "This is ${WORKSPACE}/test/csit/scripts/policy/script1.sh"
ma987de38164b2017-09-28 16:33:03 -050018
19
20# the directory of the script
21DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
22echo ${DIR}
23
24# the temp directory used, within $DIR
25# omit the -p parameter to create a temporal directory in the default location
26WORK_DIR=`mktemp -d -p "$DIR"`
27echo ${WORK_DIR}
28
29cd ${WORK_DIR}
30
31# check if tmp dir was created
32if [[ ! "$WORK_DIR" || ! -d "$WORK_DIR" ]]; then
33 echo "Could not create temp dir"
34 exit 1
35fi
36
37# bring down maven
38mkdir maven
39cd maven
40curl -O http://apache.claz.org/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz
41tar -xzvf apache-maven-3.3.9-bin.tar.gz
42ls -l
43export PATH=${PATH}:${WORK_DIR}/maven/apache-maven-3.3.9/bin
44${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn -v
45cd ..
46
47ifconfig
48
49if ! ifconfig eth0; then
50 if ! ifconfig ens3; then
51 echo "Could not determine IP address"
52 exit 1
53 fi
54 export IP=`ifconfig ens3 | awk -F: '/inet addr/ {gsub(/ .*/,"",$2); print $2}'`
55else
56 export IP=`ifconfig eth0 | awk -F: '/inet addr/ {gsub(/ .*/,"",$2); print $2}'`
57fi
58echo $IP
59
60if ! ifconfig docker0; then
61 if ! ifconfig ens3; then
62 echo "Could not determine IP address"
63 exit 1
64 fi
65 export DOCKER_IP_IP=`ifconfig ens3 | awk -F: '/inet addr/ {gsub(/ .*/,"",$2); print $2}'`
66else
67 export DOCKER_IP=`ifconfig docker0 | awk -F: '/inet addr/ {gsub(/ .*/,"",$2); print $2}'`
68fi
69echo $DOCKER_IP
70
71git clone http://gerrit.onap.org/r/oparent
72
73git clone http://gerrit.onap.org/r/policy/docker
74cd docker
75
76${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn clean install prepare-package --settings ../oparent/settings.xml
77cp policy-pe/* target/policy-pe
78cp policy-drools/* target/policy-drools
79
80docker build -t onap/policy/policy-os policy-os
81docker build -t onap/policy/policy-db policy-db
82docker build -t onap/policy/policy-nexus policy-nexus
83docker build -t onap/policy/policy-base policy-base
84docker build -t onap/policy/policy-pe target/policy-pe
85docker build -t onap/policy/policy-drools target/policy-drools
86
87chmod +x config/drools/drools-tweaks.sh
88
89echo $IP > config/pe/ip_addr.txt
90ls -l config/pe/ip_addr.txt
91cat config/pe/ip_addr.txt
92
93export MTU=9126
94
95docker-compose -f docker-compose-integration.yml up -d
96
Pamela Dragosh6dc696f2017-10-10 19:50:44 +000097if [ ! $? -eq 0 ]; then
98 echo "Docker compose failed"
99 exit 1
100fi
101
ma987de38164b2017-09-28 16:33:03 -0500102docker ps
103
Pamela Dragosh6dc696f2017-10-10 19:50:44 +0000104#sleep 4m
ma987de38164b2017-09-28 16:33:03 -0500105
106POLICY_IP=`docker inspect --format '{{ .NetworkSettings.Networks.docker_default.IPAddress}}' drools`
107echo ${POLICY_IP}
108
ma987de38164b2017-09-28 16:33:03 -0500109PDP_IP=`docker inspect --format '{{ .NetworkSettings.Networks.docker_default.IPAddress}}' pdp`
110echo ${PDP_IP}
111
Pamela Dragosh6dc696f2017-10-10 19:50:44 +0000112PAP_IP=`docker inspect --format '{{ .NetworkSettings.Networks.docker_default.IPAddress}}' pap`
113echo ${PAP_IP}
ma987de38164b2017-09-28 16:33:03 -0500114
Pamela Dragosh6dc696f2017-10-10 19:50:44 +0000115BRMS_IP=`docker inspect --format '{{ .NetworkSettings.Networks.docker_default.IPAddress}}' brmsgw`
116echo ${BRMS_IP}
117
118NEXUS_IP=`docker inspect --format '{{ .NetworkSettings.Networks.docker_default.IPAddress}}' nexus`
119echo ${NEXUS_IP}
120
121MARIADB_IP=`docker inspect --format '{{ .NetworkSettings.Networks.docker_default.IPAddress}}' mariadb`
122echo ${MARIADB_IP}
123
124${DIR}/wait_for_port.sh ${MARIADB_IP} 3306
125${DIR}/wait_for_port.sh ${PAP_IP} 9091
126${DIR}/wait_for_port.sh ${PDP_IP} 8081
127${DIR}/wait_for_port.sh ${BRMS_IP} 9989
128${DIR}/wait_for_port.sh ${NEXUS_IP} 8081
129${DIR}/wait_for_port.sh ${POLICY_IP} 6969
130
131TIME_OUT=600
ma987de38164b2017-09-28 16:33:03 -0500132INTERVAL=20
133TIME=0
134while [ "$TIME" -lt "$TIME_OUT" ]; do
135 curl -i --user healthcheck:zb!XztG34 -H "ContentType: application/json" -H "Accept: application/json" ${POLICY_IP}:6969/healthcheck && break
ma987de38164b2017-09-28 16:33:03 -0500136
Pamela Dragosh6dc696f2017-10-10 19:50:44 +0000137 echo Sleep: $INTERVAL seconds before testing if Policy is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
ma987de38164b2017-09-28 16:33:03 -0500138 sleep $INTERVAL
139 TIME=$(($TIME+$INTERVAL))
140
141done
142
Pamela Dragosh6dc696f2017-10-10 19:50:44 +0000143TIME_OUT=600
ma987de38164b2017-09-28 16:33:03 -0500144INTERVAL=20
145TIME=0
146while [ "$TIME" -lt "$TIME_OUT" ]; do
147
Pamela Dragosh6dc696f2017-10-10 19:50:44 +0000148 curl -i -v -H 'Content-Type: application/json' -H 'Accept: application/json' -H 'ClientAuth: cHl0aG9uOnRlc3Q=' -H 'Authorization: Basic dGVzdHBkcDphbHBoYTEyMw==' -H 'Environment: TEST' -X POST -d '{"policyName": ".*"}' http://${PDP_IP}:8081/pdp/api/getConfig && break
ma987de38164b2017-09-28 16:33:03 -0500149
150echo Sleep: $INTERVAL seconds before testing if Policy is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
151 sleep $INTERVAL
152 TIME=$(($TIME+$INTERVAL))
153
154done
155
Pamela Dragosh6dc696f2017-10-10 19:50:44 +0000156#
157# Add more sleep for everything to settle
158#
159sleep 3m